# Class CIM_QueueHierarchy
extends CIM_ServiceServiceDependency

Describes the reliance of a QueuingService on other, supporting queues and their QueuingServices. A given Service can only act in support of one QueuingService; but a higher level queue may be supported by many lower level QueuingServices. The class is deprecated since a queue only stores network traffic. It does not support other queues, or manipulate their entries. This type of processing is described using NextService associations 'rightwards' from the QueuingService. These associations reference 'other' ConditioningServices that may send traffic to 'other' queues).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ProvidesServiceToElement
|
+--CIM_ServiceServiceDependency
|
+--CIM_QueueHierarchy

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | No value

Description

string

Describes the reliance of a QueuingService on other, supporting queues and their QueuingServices. A given Service can only act in support of one QueuingService; but a higher level queue may be supported by many lower level QueuingServices. The class is deprecated since a queue only stores network traffic. It does not support other queues, or manipulate their entries. This type of processing is described using NextService associations 'rightwards' from the QueuingService. These associations reference 'other' ConditioningServices that may send traffic to 'other' queues).

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_QueueHierarchy | CIM_QueuingService
Dependent | CIM_QueueHierarchy | CIM_QueuingService

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
RestartService | boolean | CIM_ServiceServiceDependency
TypeOfDependency | uint16 | CIM_ServiceServiceDependency

## Class Methods